dto_generator:
  entities:
    logic:
      XCart\Logic\Entity\Storefront\Config:
        doctrineEntity: XLite\Model\Config
        generate_get_one: true
        generate_get_collection: true
        use_doctrine_get_one: true
        use_doctrine_get_collection: true
        idType: manual
        fields:
          id:
            id: true
            type: string
          name:
            type: string
          category:
            type: string
          value:
            type: string
            nullable: true
    dto:
      XCart\Logic\Action\Storefront\Config\GetList\DTO\Request\Filter:
        type: logic_request_get_list_filter
        fields:
          selected:
            type: StringListValue

      XCart\DTO\Doctrine\Storefront\Config\Filter:
        type: doctrine_entity_filter
        fields:
          selected:
            type: StringListValue

    logic_request:
      XCart\Logic\Action\Storefront\Config\GetOne\DTO\Request:
        type: get_one
        entity: XCart\Logic\Entity\Storefront\Config
        traits:
          - XCart\Logic\Action\Storefront\Config\GetOne\Request\ConfigIdRequestTrait

  transformers:
    - from: XLite\Model\Config
      to: XCart\Logic\Entity\Storefront\Config
    - from: XCart\Logic\Entity\Storefront\Config
      to: XCart\API\Entity\Storefront\Config
      pattern: predefined

